.. _guide-index:

Programming Guide
=================

.. toctree::
    :maxdepth: 2

    guide/basic
    guide/environment
    guide/config
    guide/architecture
    guide/events
    guide/inputs
    guide/widgets
    guide/graphics
    guide/lang
    guide/other-frameworks
    guide/packaging
    guide/licensing
